Subject: Re: [PATCH] General CHRP/MPC5K2 Platform and drivers support - to comment

From: Nicolas DET <[email-masked]>
Date: Sun, 22 Oct 2006 14:56:36 +0200

Kumar Gala wrote:
 >
 > On Oct 20, 2006, at 3:12 AM, Nicolas DET wrote:
 >
 >> Kumar Gala wrote:
 >> >
 >> > On Oct 19, 2006, at 7:39 AM, Nicolas DET wrote:
 >> >
 >> >> This 'big' patch adds support for CHRP/MPC52xx based platform.
 >> Here, this is the bPlan's Efika computer
 >> (http://www.bplan-gmbh.de/efika_spec_en.html)
 >> >
 >>
 >> > Some high level comments:
 >> > 1. lets stick with the 52xx naming, instead of 5k2
 >>
 >> Ok. Will be done
 >>
 >> > 2. PIC code needs to be updated for new interrupt model (as well as
 >> remove of pt_regs)
 >>
 >> Ok.
 >>
 >> > 3. use standard kernel debug macros
 >>
 >> Loads of changes in the pipe line ;-)
 >>
 >> > 4. look at replacing sram_allocator w/rheap
 >> >
 >>
 >> This SRAM allocator is the exact same from the original Linux one. In
 >> fact, it is the original one. Would it be possible to accept this code
 >> as it is and schedule rheap integration later ?
 >
 > I dont follow, what do you mean by 'original Linux one' ?
 >

There is a driver for Linux (not in the official kernel.org tree) for 
this chipset. This is the one I'm speaking about
You can find it into various embbeded kernel like MontaVista tree, etc...

By the way, I uploaded the current patch on a private URL:
http://powernico.free.fr/chrpmpc52x_bigone.patch.bz2

If people wish to have a look.